%global oname jaxb-api

Name:          glassfish-jaxb-api
Version:       2.2.6
Release:       1
Summary:       JAXB API
Group:         Development/Java
License:       CDDLv1.1 and GPLv2 with exceptions
Url:           http://jaxb.java.net/
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_4u1/tools/lib/redist/jaxb-api-src.zip
Source0:       http://download.java.net/maven/2/javax/xml/bind/jaxb-api/%{version}/jaxb-api-%{version}-sources.jar
Source1:       http://download.java.net/maven/2/javax/xml/bind/jaxb-api/%{version}/jaxb-api-%{version}.pom

Patch0:        %{name}-%{version}-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-osgi
BuildRequires: forge-parent
BuildRequires: bea-stax-api

Requires:      bea-stax-api
Requires:      java
Requires:      jpackage-utils

BuildArch:     noarch

%description
GlassFish JAXB (JSR 222) API.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
GlassFish JAXB (JSR 222) API.

This package contains javadoc for %{name}.

%prep
%setup -T -q -c %{name}-%{version}

mkdir -p src/main/java src/main/resources

(
  cd src/main/java
  unzip -qq %{SOURCE0}
  find . -iname 'package.html' -delete
)

cp -pr %{SOURCE1} pom.xml

%patch0 -p0

# clone source directory structure
find src/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy Messages.properties files except *.java sources
find src/ -type f | grep -v "\.java" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
cp -p target/jaxb-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

